package com.ruoyi.project.training.bccnew.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 导师带徒对象 t_ts_new
 *
 * @author ssy
 * @date 2024-05-20
 */
public class TTsNew extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private String isStudent;
    private String isTeacher;

    /** 唯一标识ID */
    private Long newId;

    /** 培训员工编号 */
    @Excel(name = "培训员工编号")
    private String staffId;

    /** 年度培训标题 */
    @Excel(name = "年度培训标题")
    private String name;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 培训状态 */
    @Excel(name = "培训状态")
    private Long planStatus;

    /** 年份 */
    @Excel(name = "年份")
    private Long planYear;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startdate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date enddate;

    /** 导师员工编号 */
    @Excel(name = "导师员工编号")
    private String mentorStaffId;

    /** 培训岗位 1-裂解 2-压缩 3-分离 4-芳烃 */
    @Excel(name = "培训岗位 1-裂解 2-压缩 3-分离 4-芳烃")
    private Long planType;
    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    private String planFinish;

    @Excel(name = "培训员工")
    private String staffName;

    /** 导师员工编号 */
    @Excel(name = "导师")
    private String mentorStaffName;

    /** 师徒协议word地址 */
    private String mentorAgreementWordPath;

    /** 导师带徒目标及计划word地址 */
    private String targetPlanWordPath;

    /** 导师带徒考评表word地址 */
    private String appraisalFormWordPath;

    private Long vacation;

    /** 导师评语 */
    private String mentorComments;

    public Long getVacation() {
        return vacation;
    }

    public void setVacation(Long vacation) {
        this.vacation = vacation;
    }

    public String getMentorComments() {
        return mentorComments;
    }

    public void setMentorComments(String mentorComments) {
        this.mentorComments = mentorComments;
    }

    public String getIsTeacher() {
        return isTeacher;
    }

    public void setIsTeacher(String isTeacher) {
        this.isTeacher = isTeacher;
    }

    public String getIsStudent() {
        return isStudent;
    }

    public void setIsStudent(String isStudent) {
        this.isStudent = isStudent;
    }

    public String getMentorAgreementWordPath() {
        return mentorAgreementWordPath;
    }

    public void setMentorAgreementWordPath(String mentorAgreementWordPath) {
        this.mentorAgreementWordPath = mentorAgreementWordPath;
    }

    public String getTargetPlanWordPath() {
        return targetPlanWordPath;
    }

    public void setTargetPlanWordPath(String targetPlanWordPath) {
        this.targetPlanWordPath = targetPlanWordPath;
    }

    public String getAppraisalFormWordPath() {
        return appraisalFormWordPath;
    }

    public void setAppraisalFormWordPath(String appraisalFormWordPath) {
        this.appraisalFormWordPath = appraisalFormWordPath;
    }

    public String getMentorStaffName() {
        return mentorStaffName;
    }

    public void setMentorStaffName(String mentorStaffName) {
        this.mentorStaffName = mentorStaffName;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getPlanFinish() {
        return planFinish;
    }

    public void setPlanFinish(String planFinish) {
        this.planFinish = planFinish;
    }

    public void setNewId(Long newId)
    {
        this.newId = newId;
    }

    public Long getNewId()
    {
        return newId;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setPlanStatus(Long planStatus)
    {
        this.planStatus = planStatus;
    }

    public Long getPlanStatus()
    {
        return planStatus;
    }
    public void setPlanYear(Long planYear)
    {
        this.planYear = planYear;
    }

    public Long getPlanYear()
    {
        return planYear;
    }
    public void setStartdate(Date startdate)
    {
        this.startdate = startdate;
    }

    public Date getStartdate()
    {
        return startdate;
    }
    public void setEnddate(Date enddate)
    {
        this.enddate = enddate;
    }

    public Date getEnddate()
    {
        return enddate;
    }
    public void setMentorStaffId(String mentorStaffId)
    {
        this.mentorStaffId = mentorStaffId;
    }

    public String getMentorStaffId()
    {
        return mentorStaffId;
    }
    public void setPlanType(Long planType)
    {
        this.planType = planType;
    }

    public Long getPlanType()
    {
        return planType;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("newId", getNewId())
            .append("staffId", getStaffId())
            .append("name", getName())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("planStatus", getPlanStatus())
            .append("planYear", getPlanYear())
            .append("startdate", getStartdate())
            .append("enddate", getEnddate())
            .append("mentorStaffId", getMentorStaffId())
            .append("planType", getPlanType())
            .append("remarks", getRemarks())
            .toString();
    }
}
